CHGRP(1)

NOME
chgrp - troca a propriedade de grupo dos arquivos

SINOPSE
chgrp [opções] grupo arquivo...

Opções POSIX: [-R] [--]

Opções de rascunho Austin: [-hHLPR]

Estipulação de grupo GNU: [--reference=rfile]

Opções GNU (forma reduzida): [-cfvR] [--help] [--version] [--]

DESCRIÇÃO
chgrp troca a propriedade de grupo de cada arquivo fornecido para o grupo, o qual pode ser um nome de grupo ou a sua identificação numérica.

OPÇÕES POSIX

-R  Altera recursivamente a propriedade de diretórios e de seus conteúdos. (Prossegue mesmo que erros sejam encontrados.)

--  Encerra a lista de opções.

Opções de rascunho AUSTIN

-h  Para cada arquivo supondo que seja uma ligação simbólica, altera a propriedade de grupo da ligação simbólica em si mesma, de preferência o mesmo objeto é apontado para ele. Se o sistema não suporta a propriedade de grupo para ligações simbólicas, não faça nada para um ligação simbólica.

-H (half-logical)
    (Quando fornecido juntos com -R.) Para cada arquivo supondo que é uma ligação simbólica para um diretório, altera a propriedade de grupo do diretório e todos os arquivos na hieráquia abaixo dela.

-L (logical)
    (Quando fornecido juntos com -R.) Para cada arquivo, a linha de comando ou algo encontrado durante um dos três passos, que é uma ligação simbólica para um diretório, altera a propriedade de grupo do diretório e todos os arquivos na hieráquia abaixo dele.

-P (physical)
    (Quando fornecido juntos com -R.) Para cada arquivo, a linha de comando ou algo encontrado durante um dos três passos, que é uma ligação simbólica altera a propriedade de grupo da própria ligação simbólica, de preferência o mesmo objeto é apontado para ele. Se o sistema não suporta a propriedade de grupo para ligações simbólicas, não faça nada para um ligação simbólica. Este é o padrão.

-R  Altera recursivamente a propriedade de grupo do diretório e de seus conteúdos.

DESCRIÇÃO ADICIONAL GNU
Uma extensão GNU (Novo no Utilitários de Arquivo GNU 4.0.) permite usar --reference=rfile como uma descrição de grupo: o mesmo grupo que pertence a rfile.

OPÇÕES GNU

-c, --changes
    Detalhadamente descreve a ação para cada arquivo cuja propriedade de grupo está sendo alterada.

-f, --silent, --quiet
    Não mostra mensagens de erro para o arquivo cuja propriedade de grupo não pode ser alterada.

-h, --no-dereference
    Atua em ligações simbólicas em vez do local para o qual eles apontam. Disponível somente se a chamada de sistema lchown é fornecida.

-v, --verbose
    Descreve detalhadamente toda ação ocorrida para cada arquivo.

-R, --recursive
    Altera recursivamente a propriedade de grupo de diretórios e de seus conteúdos.

OPÇÕES PADRÃO GNU

--help
    Imprime a mensagem de uso na saída padrão e sai.

--version
    Imprime a versão na saída padrão e sai.

AMBIENTE
As variáveis LANG, LC_ALL, LC_CTYPE and LC_MESSAGES tem seu significado usual. Para um sistema de acordo com XSI: NLSPATH tem seu significado usual.

DE ACORDO COM
POSIX 1003.2 somente requer a opção -R. Uso de outras opções podem não ser portáveis.

NOTAS
Esta página descreve chgrp como é encontrada no pacote Utilitários de Arquivos 4.0; outras versões podem ser um pouco diferentes. Envie correções e adições para aeb@cwi.nl. Relatório de problemas no programa para fileutils-bugs@gnu.ai.mit.edu.

TRADUZIDO POR LDP-BR em 21/08/2000.
André L. Fassone Canova <lonelywolf@blv.com.br> (tradução) Ricardo C.O. Freitas <english.quest@best-service.com> (revisão)